tags 575600 wontfix
stop

On Sa, Mar 27, 2010 at 16:07:28 (CET), Henri wrote:

> Subject: Please add ffmpeg-mt for multithreading support
> Package: ffmpeg
> Version: 4:0.5.1-3
> Severity: wishlist
>
> ffmpeg-mt enabled mutithreaded decoding for ffmpeg. This is necesary for
> watch e.g. h264 movies with huge bitrates (+10000kbit/s).
> ffmpeg-mt is currently located here: http://gitorious.org/ffmpeg/ffmpeg-mt
>
> Description on http://gitorious.org/ffmpeg/ffmpeg-mt:
> Experimental multithreaded decoding branch of FFmpeg, based on a project
> for Google SoC 2008. See mt-work/todo.txt for remaining tasks.
>
> Please consider adding it to the official repositories.

thank you for you report.

unfortunately, ffmpeg-mt is not really supported by ffmpeg upstream, and
known to cause various regressions depending on the exact date of the
snapshot. For these reason, I consider ffmpeg-mt unreasonable to
package.

I only aware of just two software packages that use ffmpeg-mt:

 - google's chromium browser, which includes a static copy
 - mplayer-mt, which is a fork of mplayer, again without support from 
   mplayer upstream.

Do you know other packages that use this? Since I don't consider either
of these two package in a state that can be supported in a long term
release like debian stable, I think static linking is appropriate
here. Which in the end means that there is no need to package ffmpeg-mt.


-- 
Gruesse/greetings,
Reinhard Tartler, KeyID 945348A4



_______________________________________________
pkg-multimedia-maintainers mailing list
pkg-multimedia-maintainers@lists.alioth.debian.org
http://lists.alioth.debian.org/mailman/listinfo/pkg-multimedia-maintainers

Reply via email to